Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.http
Class HttpHeader.Element

    java.lang.Object
      org.jboss.portal.common.http.HttpHeader.Element

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  HttpHeader

    public static class HttpHeader.Element

extends java.lang.Object
implements java.io.Serializable

An element of an header

See Also:
  Serialized Form

Nested Class Summary
`static class` | `HttpHeader.Element.Param` A param of an element.

Constructor Summary
`HttpHeader.Element(java.lang.String name)`
`HttpHeader.Element(java.lang.String name, java.lang.String value)`

Method Summary
`HttpHeader.Element.Param` | `addParam(HttpHeader.Element.Param param)`
`HttpHeader.Element.Param` | `addParam(java.lang.String name)`
`HttpHeader.Element.Param` | `addParam(java.lang.String name, java.lang.String value)`
`java.lang.String` | `getName()`
`HttpHeader.Element.Param` | `getParam()` Return the first param of this element or null.
`java.lang.String` | `getValue()`
`java.util.Iterator` | `params()` Returns an iterator over the params.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpHeader.Element

    public HttpHeader.Element(java.lang.String name)

### HttpHeader.Element

    public HttpHeader.Element(java.lang.String name,
                              java.lang.String value)

Method Detail

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### addParam

    public HttpHeader.Element.Param addParam(java.lang.String name)

### addParam

    public HttpHeader.Element.Param addParam(java.lang.String name,
                                             java.lang.String value)

### addParam

    public HttpHeader.Element.Param addParam(HttpHeader.Element.Param param)

### getParam

    public HttpHeader.Element.Param getParam()

  Return the first param of this element or null.

  Returns:
    the first param

### params

    public java.util.Iterator params()

  Returns an iterator over the params.

  Returns:
    a param iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.